Permalink
Browse files

Merge pull request #7 from h0lzi/patch-1

update to README.plex-linux added a few comments and structure
  • Loading branch information...
2 parents 15f6567 + fef6bdd commit 553e3e6cb5a600cc591c42516639273acd09735c @gewalker committed Dec 5, 2011
Showing with 9 additions and 2 deletions.
  1. +9 −2 README.plex-linux
View
@@ -2,7 +2,14 @@ This is a work in progress (duh!).
USEFUL INFORMATION:
-These are the packages required to build the tree on Ubuntu 11.04:
-build-essential autoconf autopoint libtool libboost1.46-all-dev libx11-dev libgl1-mesa-dev libxrender-dev portaudio19-dev libavcodec-dev libavformat-dev libswscale-dev libavdevice-dev libglew1.6-dev libmad0-dev libsamplerate-dev libogg-dev libvorbis-dev libbz2-1.0 libbz2-dev libwavpack-dev libmpeg2-4-dev libfribidi-dev libsqlite3-dev libpng-dev libpcre3-dev libcdio-dev libmysqlclient-dev libmodplug-dev libfaad-dev libflac-dev libsmbclient-dev libsdl-mixer1.2-dev libxt-dev libxtst-dev libxmu-dev libxinerama-dev libcurl4-gnutls-dev libdbus-1-dev libhal-storage-dev libhal-dev libpulse-dev libavahi-common-dev libavahi-client-dev libxrandr-dev libavcodec-dev libavformat-dev libavutil-dev libpostproc-dev libswscale-dev liba52-dev libdts-dev libfaad-dev libmpeg2-4-dev libass-dev libflac-dev libwavpack-dev python-dev gawk gperf nasm libbluetooth-dev zlib1g-dev libmms-dev libsmbclient-dev libtiff4-dev libiso9660-dev libssl-dev libmicrohttpd-dev libmodplug-dev libssh-dev libsdl-image1.2-dev cmake liblzo2-dev libjasper-dev
+These are the packages required to get the main configure script to run on Ubuntu 11.04:
+build-essential autoconf autopoint libtool libboost1.46-all-dev libgl1-mesa-dev libglew1.6-dev libmad0-dev libsamplerate0-dev libogg-dev libvorbis-dev libbz2-dev liblzo2-dev libwavpack-dev libmpeg2-4-dev libfontconfig1-dev libfribidi-dev libsqlite3-dev libpng-dev libpcre3-dev libcdio-dev libmodplug-dev libfaad-dev libflac-dev libsdl-mixer1.2-dev libjasper-dev libtiff4-dev libsdl-image1.2-dev libenca-dev libxtst-dev libxmu-dev libxinerama-dev libcurl4-gnutls-dev libmicrohttpd-dev gawk cmake gperf nasm libiso9660-dev
+extra stuff to be enabled in xbmc/plex:
+libavahi-client-dev librtmp-dev libvdpau-dev libva-dev
+
+libavahi stuff does not get enabled? don't know why yet and if it's needed anyway :)
+
+yasm added as ffmpeg uses it to build asm code
+nasm package should be checked if still needed. Might still be in use by plex code.

0 comments on commit 553e3e6

Please sign in to comment.